# Uses of Class
org.apache.commons.math3.fitting.leastsquares.GaussNewtonOptimizer

Packages that use GaussNewtonOptimizer
Package
Description
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.

## Uses of GaussNewtonOptimizer in org.apache.commons.math3.fitting.leastsquares

Methods in org.apache.commons.math3.fitting.leastsquares that return GaussNewtonOptimizer
Modifier and Type
Method
Description
`GaussNewtonOptimizer`
GaussNewtonOptimizer.`withDecomposition(GaussNewtonOptimizer.Decomposition newDecomposition)`
Configure the decomposition algorithm.